Index: tests/GuiChecks/Fragmentation/ParseSaveFragmentResults/testsuite-fragmentation-parse-save-fragment-results.at
===================================================================
--- tests/GuiChecks/Fragmentation/ParseSaveFragmentResults/testsuite-fragmentation-parse-save-fragment-results.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Fragmentation/ParseSaveFragmentResults/testsuite-fragmentation-parse-save-fragment-results.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,93 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parse and save state of FragmentationResultsContainer
+
+AT_SETUP([Fragmentation - parse and save fragment results])
+AT_KEYWORDS([fragmentation parse-fragment-results save-fragment-results])
+# results.dat is taken from Fragmentation/AnalyseFragmentationResults/pre/BondFragmentShortRangeResults.dat
+
+file=results_new.dat
+newfile=results_new2.dat
+
+# fails because file is missing
+AT_CHECK([../../molecuilder --dry-run --parse-fragment-results $file --save-fragment-results $file --no-dry-run --store-session session-fragmentation-parse-save-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-parse-save-fragment-results.py >session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-parse-save-fragment-results_new.py], 5, [ignore], [ignore])
+
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/pre/results.dat results.dat], 0)
+AT_CHECK([../../molecuilder --dry-run --parse-fragment-results results.dat --save-fragment-results $file --no-dry-run --store-session session-fragmentation-parse-save-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-parse-save-fragment-results.py >session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+# we ignore white space changes (also missing new line on end of last line)
+AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_longrange_enabled.dat], 0, [ignore], [ignore], [
+	AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_longrange_disabled.dat], 0, [ignore], [ignore], [
+		AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_jobmarkt_disabled.dat], 0, [ignore], [ignore])
+	])
+])
+
+# fails because file is already present
+AT_CHECK([../../molecuilder --dry-run --parse-fragment-results $file --save-fragment-results $file --no-dry-run --store-session session-fragmentation-parse-save-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-parse-save-fragment-results.py >session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-parse-save-fragment-results_new.py], 5, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder --dry-run --parse-fragment-results $file --save-fragment-results $newfile --no-dry-run --store-session session-fragmentation-parse-save-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-parse-save-fragment-results.py >session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_longrange_enabled.dat], 0, [ignore], [ignore], [
+	AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_longrange_disabled.dat], 0, [ignore], [ignore], [
+		AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_jobmarkt_disabled.dat], 0, [ignore], [ignore])
+	])
+])
+
+AT_CLEANUP
+
+AT_SETUP([Fragmentation - parse and save fragment results with Undo])
+AT_KEYWORDS([fragmentation parse-fragment-results save-fragment-results undo])
+
+emptyfile=results_empty.dat
+
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/pre/results.dat results.dat], 0)
+AT_CHECK([../../molecuilder --dry-run --parse-fragment-results results.dat --undo --save-fragment-results $emptyfile --no-dry-run --store-session session-fragmentation-parse-save-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-parse-save-fragment-results.py >session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+# we ignore white space changes (also missing new line on end of last line)
+AT_CHECK([diff -Z $emptyfile ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_empty_longrange_enabled.dat], 0, [ignore], [ignore], [
+	AT_CHECK([diff -Z $emptyfile ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_empty_longrange_disabled.dat], 0, [ignore], [ignore], [
+		AT_CHECK([diff -Z $emptyfile ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_empty_jobmarkt_disabled.dat], 0, [ignore], [ignore])
+	])
+])
+
+AT_CLEANUP
+
+AT_SETUP([Fragmentation - parse and save fragment results with Redo])
+AT_KEYWORDS([fragmentation parse-fragment-results save-fragment-results undo redo])
+
+file=results_new.dat
+
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/pre/results.dat results.dat], 0)
+AT_CHECK([../../molecuilder --dry-run --parse-fragment-results results.dat --undo --redo --save-fragment-results $file --no-dry-run --store-session session-fragmentation-parse-save-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-parse-save-fragment-results.py >session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-parse-save-fragment-results_new.py], 0, [ignore], [ignore])
+# we ignore white space changes (also missing new line on end of last line)
+AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_longrange_enabled.dat], 0, [ignore], [ignore], [
+	AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_longrange_disabled.dat], 0, [ignore], [ignore], [
+		AT_CHECK([diff -Z $file ${abs_top_srcdir}/tests/regression/Fragmentation/ParseSaveFragmentResults/post/results_jobmarkt_disabled.dat], 0, [ignore], [ignore])
+	])
+])
+
+AT_CLEANUP
Index: tests/GuiChecks/Fragmentation/testsuite-fragmentation.at
===================================================================
--- tests/GuiChecks/Fragmentation/testsuite-fragmentation.at	(revision cb20c09b195f295f42c00057cfe8d57f332c6572)
+++ tests/GuiChecks/Fragmentation/testsuite-fragmentation.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -2,5 +2,5 @@
 #    MoleCuilder - creates and alters molecular systems
 #    Copyright (C) 2008-2012 University of Bonn
-#    Copyright (C) 2013 Frederik Heber
+#    Copyright (C) 2013-2016 Frederik Heber
 #
 #    This program is free software: you can redistribute it and/or modify
@@ -33,2 +33,5 @@
 # check automation
 m4_include([Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at])
+
+# parse/save state of FragmentationResultsContainer
+m4_include([Fragmentation/ParseSaveFragmentResults/testsuite-fragmentation-parse-save-fragment-results.at])
